This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 876613 - (CVE-2012-5529) CVE-2012-5529 firebird: DoS (NULL pointer dereference) while preparing an empty query with trace enabled
CVE-2012-5529 firebird: DoS (NULL pointer dereference) while preparing an emp...
Status: CLOSED NEXTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120705,repor...
: Security
Depends On: 873982 876619 876620
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-14 10:20 EST by Jan Lieskovsky
Modified: 2016-03-04 07:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 11:14:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-14 10:20:35 EST
A denial of service flaw was found in the way the TraceManager of Firebird, a SQL relational database management system, performed preparation of an empty dynamic SQL query. When the trace mode was enabled, a remote, authenticated database user could use this flaw to cause the Firebird server to crash with a NULL pointer dereference.

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=693210
[2] http://tracker.firebirdsql.org/browse/CORE-3884

Relevant upstream patch:
[3] http://firebird.svn.sourceforge.net/viewvc/firebird?pathrev=54702&revision=54702&view=revision
Comment 1 Jan Lieskovsky 2012-11-14 10:30:18 EST
This issue affects the versions of the firebird package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the version of the firebird package, as shipped with Fedora EPEL 6. Please schedule an update.

--

This issue did NOT affect the version of the firebird package, as shipped with Fedora EPEL 5 as it did not include the vulnerable code part yet.
Comment 2 Jan Lieskovsky 2012-11-14 10:31:03 EST
CVE Request:
  http://www.openwall.com/lists/oss-security/2012/11/14/6
Comment 3 Jan Lieskovsky 2012-11-14 10:32:29 EST
Created firebird tracking bugs for this issue

Affects: fedora-all [bug 876619]
Affects: epel-6 [bug 876620]
Comment 4 Philippe Makowski 2012-11-14 10:45:28 EST
updates are already there : https://bugzilla.redhat.com/show_bug.cgi?id=873982
Comment 5 Jan Lieskovsky 2012-11-15 11:09:11 EST
The following updates have been created to correct this issue:
1) firebird-2.5.2.26539.0-1.el6 for Fedora EPEL 6,
2) firebird-2.5.2.26539.0-1.fc18 for (upcoming) Fedora 18,
3) firebird-2.5.2.26539.0-1.fc17 for Fedora 17,
4) firebird-2.5.2.26539.0-1.fc16 for Fedora 16.

Once they pass the required level of testing, they will be pushed to the -stable repository.
Comment 6 Jan Lieskovsky 2012-11-15 11:10:23 EST
The CVE identifier of CVE-2012-5529 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/11/14/8
Comment 7 Jan Lieskovsky 2012-11-15 11:14:07 EST
(In reply to comment #4)
> updates are already there :
> https://bugzilla.redhat.com/show_bug.cgi?id=873982

Thank you, Philippe. Noted in relevant bugs.

Note You need to log in before you can comment on or make changes to this bug.